Bug 600622 - [abrt] crash in file-browser-applet-0.6.5-1.fc13: raise: Process /usr/libexec/file-browser-applet was killed by signal 6 (SIGABRT)
[abrt] crash in file-browser-applet-0.6.5-1.fc13: raise: Process /usr/libexec...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: file-browser-applet (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:f0fbf193601903228bf0f7e253f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-05 05:42 EDT by Michael Chapman
Modified: 2012-08-16 13:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 13:46:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.92 KB, text/plain)
2010-06-05 05:43 EDT, Michael Chapman
no flags Details

  None (edit)
Description Michael Chapman 2010-06-05 05:42:53 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/libexec/file-browser-applet --oaf-activate-iid=OAFIID:GNOME_FileBrowserApplet_Factory --oaf-ior-fd=24
comment: It appears that file-browser-applet passes every filename through g_desktop_app_info_new_from_filename in order to extract application names from launchers. This should probably be limited to *.desktop files only. It might also make sense for g_desktop_app_info_new_from_fd to give up on a file if it hasn't been able to extract anything useful in the first dozen or so kilobytes, rather than attempting to load the entire file's contents into memory.
component: file-browser-applet
crash_function: raise
executable: /usr/libexec/file-browser-applet
global_uuid: f0fbf193601903228bf0f7e253f2cf31632a4bd0
kernel: 2.6.33.5-112.fc13.i686
package: file-browser-applet-0.6.5-1.fc13
rating: 4
reason: Process /usr/libexec/file-browser-applet was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Create a large, blank file in your home directory: dd if=/dev/zero of=~/big bs=1 skip=1G
2. Add the File Browser applet to a panel.
Comment 1 Michael Chapman 2010-06-05 05:43:01 EDT
Created attachment 421412 [details]
File: backtrace
Comment 2 Bug Zapper 2011-06-02 07:59:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Michael Chapman 2011-06-02 08:15:44 EDT
This bug is still present in file-browser-applet-0.6.6-1.fc14.i686.

I'm not sure what I was thinking of in that "How to reproduce" there. A better command is: dd if=/dev/zero of=~/big count=0 bs=1 seek=1G .  That is, a big sparse file can easily trigger the bug.
Comment 4 Fedora End Of Life 2012-08-16 13:46:24 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.